Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create support feedback

POST/workspaces/{organizationId}/support/feedback
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
kindstringrequired
Allowed:bugfeatureother
titlestringrequired
min length 1 · max length 200
descriptionstringrequired
min length 1 · max length 8000
urlstring
max length 2048
userAgentstring
max length 500
viewportobject
Show properties
widthintegerrequired
min 0
heightintegerrequired
min 0
deviceInfoobject
consoleErrorsobject[]
max items 100
Show properties
Array of object
levelstringrequired
min length 1 · max length 20
messagestringrequired
min length 1 · max length 4000
timestampstring
max length 60
consoleLogsobject[]
max items 500
Show properties
Array of object
levelstringrequired
min length 1 · max length 20
messagestringrequired
min length 1 · max length 4000
timestampstring
max length 60
networkRequestsobject[]
max items 400
Show properties
Array of object
methodstringrequired
min length 1 · max length 16
urlstringrequired
min length 1 · max length 2048
statusinteger
min 0 · max 999
durationnumber
min 0 · max 3600000
timestampstring
max length 60
requestBodystring
max length 65536
responseBodystring
max length 65536
userEventsobject[]
max items 100
Show properties
Array of object
typestringrequired
min length 1 · max length 40
targetstring
max length 500
timestampstring
max length 60
metadataobject
errorsobject[]
max items 100
Show properties
Array of object
messagestringrequired
min length 1 · max length 4000
stackstring
max length 8000
sourcestring
max length 60
timestampstring
max length 60
screenshotDataUrlstring
max length 10000000
recordingDataUrlstring
max length 40000000
replayEventsany[]
max items 50000
includeNetworkBodiesboolean
Responses
201

Member feedback filed as a support ticket

ticketIdstringrequired
ticketNumbernumberrequired
400

Invalid screenshot payload

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/support/feedback' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "kind": "bug",
  "title": "string",
  "description": "string",
  "url": "string",
  "userAgent": "string",
  "viewport": {
    "width": 0,
    "height": 0
  },
  "deviceInfo": {
    "property1": null,
    "property2": null
  },
  "consoleErrors": [
    {
      "level": "string",
      "message": "string",
      "timestamp": "string"
    }
  ],
  "consoleLogs": [
    {
      "level": "string",
      "message": "string",
      "timestamp": "string"
    }
  ],
  "networkRequests": [
    {
      "method": "string",
      "url": "string",
      "status": 0,
      "duration": 0,
      "timestamp": "string",
      "requestBody": "string",
      "responseBody": "string"
    }
  ],
  "userEvents": [
    {
      "type": "string",
      "target": "string",
      "timestamp": "string",
      "metadata": {
        "property1": null,
        "property2": null
      }
    }
  ],
  "errors": [
    {
      "message": "string",
      "stack": "string",
      "source": "string",
      "timestamp": "string"
    }
  ],
  "screenshotDataUrl": "string",
  "recordingDataUrl": "string",
  "replayEvents": [
    null
  ],
  "includeNetworkBodies": true
}'
Response
{
  "ticketId": "string",
  "ticketNumber": 0
}

Was this page helpful?